from wagtail import blocks
from wagtail.admin.panels import FieldPanel
from wagtail.embeds.blocks import EmbedBlock
from wagtail.fields import StreamField
from wagtail.models import Page

# Test model to demonstrate issue with EmbedBlock and the accessibility checker
class EmbedPage(Page):
    body = StreamField([('embed', EmbedBlock()), ('paragraph', blocks.RichTextBlock())])
    content_panels = Page.content_panels + [ FieldPanel('body') ]
